
ALTER TABLE 'kim_user' ADD COLUMN 'pwdFailedCount' INTEGER;
ALTER TABLE 'kim_user' ADD COLUMN 'pwdFailedReset' INTEGER;
ALTER TABLE 'kim_user' ADD COLUMN 'pwdLockoutSec' INTEGER;
ALTER TABLE 'kim_user' ADD COLUMN 'logintimeset' CHAR(20);
ALTER TABLE 'kim_user' ADD COLUMN 'accountExpiration' INTEGER;
ALTER TABLE 'kim_user' ADD COLUMN 'lastFailedTime' INTEGER;
ALTER TABLE 'kim_user' ADD COLUMN 'lastUnlockTime' INTEGER;
ALTER TABLE 'kim_user' ADD COLUMN 'addomain' TEXT;

CREATE TABLE kim_config(
        'section' VARCHAR(64),
        'key' VARCHAR,
        'value' VARCHAR
);

CREATE TABLE IF NOT EXISTS kim_user_groups(
        'userName' VARCHAR(255) NOT NULL,
        'groupName' VARCHAR(255) NOT NULL,
        'validBefore' INTEGER,
        'validAfter' INTEGER
);

CREATE TABLE IF NOT EXISTS kim_net_storage(
        'name' VARCHAR(255) NOT NULL,
        'address' VARCHAR(128),
        'protocol' VARCHAR(64),
        'mountMode' VARCHAR(20),
        'userName' VARCHAR(255),
        'autoMount' INT
);

CREATE TABLE  IF NOT EXISTS kim_login_record(
        'user' VARCHAR(255) NOT NULL,
        'service' VARCHAR(255),
        'pid' INT,
        'logincmd' VARCHAR(255),
        'loginType' INT,
        'homeDir' TEXT,
        'loginLocalTime' INTEGER,
        'loginRemoteTime' INTEGER,
        'recordFlag' INT
);

INSERT INTO kim_group('name', 'gidNumber', 'isPosix') values('diskadm', '5001', 1);
INSERT INTO kim_group('name', 'gidNumber', 'isPosix') values('pkgadm', '5002', 1);
INSERT INTO kim_group('name', 'gidNumber', 'isPosix') values('pkginst', '5003', 1);
INSERT INTO kim_group('name', 'gidNumber', 'isPosix') values('usbcreator', '5004', 1);
INSERT INTO kim_group('name', 'gidNumber', 'isPosix') values('mountadm', '5005', 1);
INSERT INTO kim_group('name', 'gidNumber', 'isPosix') values('sysdadm', '5007', 1);
INSERT INTO kim_group('name', 'gidNumber', 'isPosix') values('pkexadm', '5008', 1);
INSERT INTO kim_group('name', 'gidNumber', 'isPosix') values('timeadm', '5010', 1);
INSERT INTO kim_group('name', 'gidNumber', 'isPosix') values('kimuadm', '5011', 1);
